Форум русскоязычного сообщества Ubuntu


Следите за новостями русскоязычного сообщества Ubuntu в Twitter-ленте @ubuntu_ru_loco

Автор Тема: Ошибка операции над пакетами. Установка или удаление пакета программ не удалась/  (Прочитано 4067 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн SergeyBugaenko

  • Автор темы
  • Новичок
  • *
  • Сообщений: 6
    • Просмотр профиля
Здравствуйте, прошу помощи, очень прошу, при попытке установки программ deb пакетами ,с помощью центра приложений ubuntu, выдает такую ошибку:
"Ошибка операции над пакетам!
Установка или удаление пакета программ не удалась."
ubuntu 14.04 x86
Помогите, пожалуйста!


Оффлайн Azure

  • СуперМодератор
  • Старожил
  • *
  • Сообщений: 5660
  • elementaryOS 0.4 Loki, i3wm on Debian9
    • Просмотр профиля
14.04 еще бета, релиза не было, зачем ставили если не умеете? Поставьте 12.04, выйдет 14.04, обкатают и к лету обновитесь.
В Линукс можно сделать ВСЁ что угодно, достаточно знать КАК !

Оффлайн alsoijw

  • Старожил
  • *
  • Сообщений: 4073
  • Fedora 25 GNOME 3 amd64
    • Просмотр профиля
SergeyBugaenko, что ставим?dpkg -i имя_пакета
Мало видеть нам начало - надо видеть и конец. Если видишь ты создание - значит где-то есть ТВОРЕЦ
Многие жалуются: геометрия в жизни не пригодилась. Ямб от хорея им приходится отличать ежедневно?

Оффлайн SergeyBugaenko

  • Автор темы
  • Новичок
  • *
  • Сообщений: 6
    • Просмотр профиля
SergeyBugaenko, что ставим?dpkg -i имя_пакета
sudo dpkg -i joxi_i386-unity.deb через терминал, apt-get или aptitude все ставится на ура, а с помощью центра приложения ubuntu - не ставится.
« Последнее редактирование: 09 Апрель 2014, 16:49:31 от SergeyBugaenko »

Оффлайн hon

  • Старожил
  • *
  • Сообщений: 1044
  • Ubuntu 12.04 LTS
    • Просмотр профиля
sudo dpkg --configure -a && sudo apt-get -f install

Оффлайн SergeyBugaenko

  • Автор темы
  • Новичок
  • *
  • Сообщений: 6
    • Просмотр профиля
sudo dpkg --configure -a && sudo apt-get -f install
liveunit@liveunit-K55VM:~$ sudo dpkg --configure -a && sudo apt-get -f install
[sudo] password for liveunit:
Чтение списков пакетов… Готово
Построение дерева зависимостей       
Чтение информации о состоянии… Готово
Следующий пакет устанавливался автоматически и больше не требуется:
  libcuda1-304
Для его удаления используйте «apt-get autoremove».
обновлено 0, установлено 0 новых пакетов, для удаления отмечено 0 пакетов, и 63 пакетов не обновлено.

Оффлайн hon

  • Старожил
  • *
  • Сообщений: 1044
  • Ubuntu 12.04 LTS
    • Просмотр профиля
sudo dpkg -i joxi_i386-unity.deb; sudo apt-get -f installВозможно не ставилось, т.к. после первой команды ломаются зависимости.

Оффлайн SergeyBugaenko

  • Автор темы
  • Новичок
  • *
  • Сообщений: 6
    • Просмотр профиля
sudo dpkg -i joxi_i386-unity.deb; sudo apt-get -f installВозможно не ставилось, т.к. после первой команды ломаются зависимости.
liveunit@liveunit-K55VM:~$ sudo dpkg -i joxi_i386-unity.deb; sudo apt-get -f install
(Чтение базы данных … на данный момент установлен 197181 файл и каталог.)
Preparing to unpack joxi_i386-unity.deb ...
Unpacking joxi (2.2) over (2.2) ...
Настраивается пакет joxi (2.2) …
Processing triggers for gnome-menus (3.10.1-0ubuntu2) ...
Processing triggers for desktop-file-utils (0.22-1ubuntu1) ...
Processing triggers for bamfdaemon (0.5.1+14.04.20140310-0ubuntu1) ...
Rebuilding /usr/share/applications/bamf-2.index...
Processing triggers for mime-support (3.54ubuntu1) ...
Processing triggers for libc-bin (2.19-0ubuntu3) ...
Чтение списков пакетов… Готово
Построение дерева зависимостей       
Чтение информации о состоянии… Готово
Следующий пакет устанавливался автоматически и больше не требуется:
  libcuda1-304
Для его удаления используйте «apt-get autoremove».
обновлено 0, установлено 0 новых пакетов, для удаления отмечено 0 пакетов, и 63 пакетов не обновлено.
Дело в том, что joxi я уже установил с помощью dpkg,я не могу понять, почему же через центр приложений Ubuntu не ставятся deb пакетами программы, то есть ставятся только те, которые есть в каталоге, а сторонние не хотят.

Оффлайн hon

  • Старожил
  • *
  • Сообщений: 1044
  • Ubuntu 12.04 LTS
    • Просмотр профиля
Что значит "не устанавливается"? Какая ошибка?

Оффлайн SergeyBugaenko

  • Автор темы
  • Новичок
  • *
  • Сообщений: 6
    • Просмотр профиля
Что значит "не устанавливается"? Какая ошибка?
"Ошибка операции над пакетом
Установка или удаление пакетов программ не удалось."

Оффлайн alsoijw

  • Старожил
  • *
  • Сообщений: 4073
  • Fedora 25 GNOME 3 amd64
    • Просмотр профиля
SergeyBugaenko, может дашь скрин?
Мало видеть нам начало - надо видеть и конец. Если видишь ты создание - значит где-то есть ТВОРЕЦ
Многие жалуются: геометрия в жизни не пригодилась. Ямб от хорея им приходится отличать ежедневно?

varius84

  • Гость
sudo dpkg -i joxi_i386-unity.deb; sudo apt-get -f installВозможно не ставилось, т.к. после первой команды ломаются зависимости.
liveunit@liveunit-K55VM:~$ sudo dpkg -i joxi_i386-unity.deb; sudo apt-get -f install
(Чтение базы данных … на данный момент установлен 197181 файл и каталог.)
Preparing to unpack joxi_i386-unity.deb ...
Unpacking joxi (2.2) over (2.2) ...
Настраивается пакет joxi (2.2) …
Processing triggers for gnome-menus (3.10.1-0ubuntu2) ...
Processing triggers for desktop-file-utils (0.22-1ubuntu1) ...
Processing triggers for bamfdaemon (0.5.1+14.04.20140310-0ubuntu1) ...
Rebuilding /usr/share/applications/bamf-2.index...
Processing triggers for mime-support (3.54ubuntu1) ...
Processing triggers for libc-bin (2.19-0ubuntu3) ...
Чтение списков пакетов… Готово
Построение дерева зависимостей       
Чтение информации о состоянии… Готово
Следующий пакет устанавливался автоматически и больше не требуется:
  libcuda1-304
Для его удаления используйте «apt-get autoremove».
обновлено 0, установлено 0 новых пакетов, для удаления отмечено 0 пакетов, и 63 пакетов не обновлено.
Дело в том, что joxi я уже установил с помощью dpkg,я не могу понять, почему же через центр приложений Ubuntu не ставятся deb пакетами программы, то есть ставятся только те, которые есть в каталоге, а сторонние не хотят.

 В linux если есть пекет в репозиториях ставиться
Код: HTML5
  1. apt-get install

если скачиваешь пакет с инета deb то ставишь
Код: HTML5
  1. dpkg -i
или попробуй через
Код: HTML5
  1. mc

Оффлайн Guroshibu

  • Участник
  • *
  • Сообщений: 160
    • Просмотр профиля
    • Земля Выживших
Дело в том, что joxi я уже установил с помощью dpkg,я не могу понять, почему же через центр приложений Ubuntu не ставятся deb пакетами программы, то есть ставятся только те, которые есть в каталоге, а сторонние не хотят.
У меня тоже сторонние deb пакеты через Центр приложений не ставятся.
Ставил недавно teamviewer.
Установился только через dpkg.
Видимо косяк какой-то в ЦП.
HP Pavilion dv7-6c50er | Hybrid Intel HD3000/ATI Radeon HD7470M(Open driver) | RAM 6Gb
Ubuntu 14.04 LTS

Оффлайн SergeyBugaenko

  • Автор темы
  • Новичок
  • *
  • Сообщений: 6
    • Просмотр профиля
SergeyBugaenko, может дашь скрин?


Пользователь решил продолжить мысль 09 Апрель 2014, 17:38:20:
sudo dpkg -i joxi_i386-unity.deb; sudo apt-get -f installВозможно не ставилось, т.к. после первой команды ломаются зависимости.
liveunit@liveunit-K55VM:~$ sudo dpkg -i joxi_i386-unity.deb; sudo apt-get -f install
(Чтение базы данных … на данный момент установлен 197181 файл и каталог.)
Preparing to unpack joxi_i386-unity.deb ...
Unpacking joxi (2.2) over (2.2) ...
Настраивается пакет joxi (2.2) …
Processing triggers for gnome-menus (3.10.1-0ubuntu2) ...
Processing triggers for desktop-file-utils (0.22-1ubuntu1) ...
Processing triggers for bamfdaemon (0.5.1+14.04.20140310-0ubuntu1) ...
Rebuilding /usr/share/applications/bamf-2.index...
Processing triggers for mime-support (3.54ubuntu1) ...
Processing triggers for libc-bin (2.19-0ubuntu3) ...
Чтение списков пакетов… Готово
Построение дерева зависимостей       
Чтение информации о состоянии… Готово
Следующий пакет устанавливался автоматически и больше не требуется:
  libcuda1-304
Для его удаления используйте «apt-get autoremove».
обновлено 0, установлено 0 новых пакетов, для удаления отмечено 0 пакетов, и 63 пакетов не обновлено.
Дело в том, что joxi я уже установил с помощью dpkg,я не могу понять, почему же через центр приложений Ubuntu не ставятся deb пакетами программы, то есть ставятся только те, которые есть в каталоге, а сторонние не хотят.

 В linux если есть пекет в репозиториях ставиться
Код: HTML5
  1. apt-get install

если скачиваешь пакет с инета deb то ставишь
Код: HTML5
  1. dpkg -i
или попробуй через
Код: HTML5
  1. mc
Так и делаю.

Оффлайн XStreet1985

  • Новичок
  • *
  • Сообщений: 32
  • Elementary OS 0.2 Luna 64Bit (Precise)
    • Просмотр профиля
Не парься друг! Это баг! GDebi вам в помощь.

1. sudo apt-get install gdebi
2. sudo gdebi-gtk
3. Фаил -> Открыть -> Твой пакет -> Установить Пакет
« Последнее редактирование: 09 Апрель 2014, 22:23:44 от XStreet1985 »
Legalize WEED

 

Страница сгенерирована за 0.09 секунд. Запросов: 24.